class Config {
  // 테스트 광고 단위 ID
  static const String testAdUnitId = 'ca-app-pub-3940256099942544/6300978111';
  // 실제 광고 단위 ID - android
  // static const String realAdUnitId = 'ca-app-pub-6461991944599918/5107596297';
  // 실제 광고 단위 ID - ios
  // static const String realAdUnitId = 'ca-app-pub-6461991944599918/9704216771';
  // 테스트 광고 단위 ID
  static const String adUnitId = 'ca-app-pub-3940256099942544/6300978111';   // 테스트
  // static const String adUnitId = 'ca-app-pub-6461991944599918/5107596297';    // android
  // static const String adUnitId = 'ca-app-pub-6461991944599918/9704216771';    // ios
  // 서버 주소
  static const String baseUrl = 'https://d2zcnlqji5t7mh.cloudfront.net';
  // 이미지 업로드 주소
  static const String uploadImageUrl = '$baseUrl/user/update/profile/img';

  // 이용약관
  static const String termsOfService = '''
AllScore (hereinafter referred to as the "Company") places great importance on users’ personal information and complies with the Personal Information Protection Act and other relevant laws. The Company provides the following information regarding the collection and use of personal information. Please read this policy carefully before providing your consent.

1. Personal Information We Collect
Required Items: ID, Password, Nickname (not your real name), Email Address
Optional Items: Affiliation, Self-introduction

2. Purpose of Collecting and Using Personal Information
- Member Management
  - Identifying and authenticating members
  - Preventing fraudulent or unauthorized use
  - Handling inquiries related to service use
- Service Provision
  - Basic services such as creating and joining game rooms
  - Additional services such as providing statistics and rankings
- Customer Support and Announcements
  - Delivering important notices related to the service
  - Handling user inquiries and complaints

3. Retention and Use Period of Personal Information
- Upon Membership Withdrawal: All personal information collected is destroyed immediately upon withdrawal.
- Retention in Accordance with Relevant Laws: If certain information must be retained under laws such as the Act on the Consumer Protection in Electronic Commerce, etc., it will be kept for the period specified by those laws.
  - Records of contracts or subscription withdrawals: 5 years
  - Records of payment and supply of goods: 5 years
  - Records of customer complaints or dispute resolution: 3 years

4. Procedure and Method for Destroying Personal Information
- Destruction Procedure
  - The information is destroyed without delay after a member requests withdrawal or once the purpose of collection and use has been fulfilled.
- Destruction Method
  - Electronic Files: Permanently deleted using methods that prevent any recovery or restoration
  - Paper Documents: Shredded or incinerated

5. User Rights and How to Exercise Them
- Users may request to view, correct, delete, or suspend the processing of their personal information at any time.
- If you wish to withdraw your membership, you may do so via the "Membership Withdrawal" feature within the service or by contacting customer support.

6. Right to Refuse Consent and Possible Disadvantages
- Users have the right to refuse consent to the collection and use of personal information.
- However, if you refuse to consent to the required items, you may be restricted from using certain services.

7. Personal Information Protection Officer
Contact: eldyeojh@gmail.com

8. Measures to Ensure the Security of Personal Information
The Company takes technical and administrative measures to protect personal information, including:
- Encryption of personal information
- Countermeasures against hacking and similar threats
- Installation and operation of access control systems
''';
}

// 아래는 이용약관 한글
/*
                  '''올스코어(이하 "회사"라 합니다)는 이용자의 개인정보를 중요시하며, 「개인정보 보호법」 등 관련 법령을 준수하고 있습니다. 회사는 개인정보 수집 및 이용에 관한 사항을 아래와 같이 안내드리오니, 내용을 충분히 숙지하신 후 동의하여 주시기 바랍니다.

1. 수집하는 개인정보 항목
필수 항목: 아이디(ID), 비밀번호(PW), 닉네임(실명 아님), 이메일 주소
선택 항목: 소속, 자기소개

2. 개인정보의 수집 및 이용 목적
회원 관리
회원 식별 및 인증
부정 이용 방지 및 비인가 사용 방지
서비스 이용에 따른 문의 사항 처리
서비스 제공
게임 방 생성 및 참여 등 기본 서비스 제공
통계 및 순위 제공 등 부가 서비스 제공
고객 지원 및 공지사항 전달
서비스 관련 중요한 공지사항 전달
이용자 문의 및 불만 처리

3. 개인정보의 보유 및 이용 기간
회원 탈퇴 시: 수집된 모든 개인정보는 회원 탈퇴 즉시 파기합니다.
관련 법령에 따른 보관: 전자상거래 등에서의 소비자 보호에 관한 법률 등 관계 법령의 규정에 따라 일정 기간 보관이 필요한 경우 해당 기간 동안 보관합니다.
계약 또는 청약 철회 등에 관한 기록: 5년 보관
대금 결제 및 재화 등의 공급에 관한 기록: 5년 보관
소비자의 불만 또는 분쟁 처리에 관한 기록: 3년 보관

4. 개인정보의 파기 절차 및 방법
파기 절차
회원 탈퇴 요청 또는 개인정보 수집 및 이용 목적이 달성된 후 지체 없이 해당 정보를 파기합니다.
파기 방법
전자적 파일 형태: 복구 및 재생이 불가능한 방법으로 영구 삭제
종이 문서 형태: 분쇄하거나 소각

5. 이용자의 권리 및 행사 방법
이용자는 언제든지 자신의 개인정보에 대해 열람, 수정, 삭제, 처리 정지를 요구할 수 있습니다.
회원 탈퇴를 원하시는 경우, 서비스 내의 "회원 탈퇴" 기능을 이용하시거나 고객센터를 통해 요청하실 수 있습니다.

6. 동의를 거부할 권리 및 거부 시 불이익
이용자는 개인정보 수집 및 이용에 대한 동의를 거부할 권리가 있습니다.
그러나 필수 항목에 대한 동의를 거부하실 경우 서비스 이용이 제한될 수 있습니다.

7. 개인정보 보호책임자
연락처: eldyeojh@gmail.com

8. 개인정보의 안전성 확보 조치
회사는 개인정보의 안전한 처리를 위하여 기술적, 관리적 보호조치를 시행하고 있습니다.
개인정보의 암호화
해킹 등에 대비한 대책
접근 통제 장치의 설치 및 운영
''',
*/